New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Async_extended v0.9.0 and it's dependencies #9187

Merged
merged 1 commit into from May 19, 2017

Conversation

Projects
None yet
3 participants
@diml
Member

diml commented May 16, 2017

No description provided.

@diml diml referenced this pull request May 16, 2017

Merged

Patience_diff v0.9.0 #9188

@camelus

This comment has been minimized.

Show comment
Hide comment
@camelus

camelus May 16, 2017

All lint checks passed a92eb0a
  • These packages passed lint tests: async_extended.v0.9.0, async_find.v0.9.0, async_inotify.v0.9.0, async_interactive.v0.9.0, async_shell.v0.9.0, command_rpc.v0.9.0, core_extended.v0.9.0, re2.v0.9.0, textutils.v0.9.0

Installability check (6675 → 6684)
  • new installable packages (9): async_extended.v0.9.0 async_find.v0.9.0
    async_inotify.v0.9.0 async_interactive.v0.9.0 async_shell.v0.9.0
    command_rpc.v0.9.0 core_extended.v0.9.0 re2.v0.9.0 textutils.v0.9.0

camelus commented May 16, 2017

All lint checks passed a92eb0a
  • These packages passed lint tests: async_extended.v0.9.0, async_find.v0.9.0, async_inotify.v0.9.0, async_interactive.v0.9.0, async_shell.v0.9.0, command_rpc.v0.9.0, core_extended.v0.9.0, re2.v0.9.0, textutils.v0.9.0

Installability check (6675 → 6684)
  • new installable packages (9): async_extended.v0.9.0 async_find.v0.9.0
    async_inotify.v0.9.0 async_interactive.v0.9.0 async_shell.v0.9.0
    command_rpc.v0.9.0 core_extended.v0.9.0 re2.v0.9.0 textutils.v0.9.0
@diml

This comment has been minimized.

Show comment
Hide comment
@diml

diml May 17, 2017

Member

The travis build failure are due to the time limits. Most of the datakit ones seems to be due to camlzip:

=-=- camlzip.1.07 troubleshooting -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
=> This package relies on external (system) dependencies that may be missing. `opam depext camlzip.1.07' may help you find the correct installation for your system.
Member

diml commented May 17, 2017

The travis build failure are due to the time limits. Most of the datakit ones seems to be due to camlzip:

=-=- camlzip.1.07 troubleshooting -=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
=> This package relies on external (system) dependencies that may be missing. `opam depext camlzip.1.07' may help you find the correct installation for your system.

avsm added a commit to mirage/opam-repository that referenced this pull request May 17, 2017

avsm added a commit to mirage/opam-repository that referenced this pull request May 17, 2017

@avsm

This comment has been minimized.

Show comment
Hide comment
@avsm

avsm May 19, 2017

Member

This can be merged once the linked PRs are merged with upper bounds

Member

avsm commented May 19, 2017

This can be merged once the linked PRs are merged with upper bounds

@avsm

This comment has been minimized.

Show comment
Hide comment
@avsm

avsm May 19, 2017

Member

I filed janestreet/core_extended#15 for the Alpine breakage but am inclined to merge this; do you think a patch is possible for Alpine support @diml?

Member

avsm commented May 19, 2017

I filed janestreet/core_extended#15 for the Alpine breakage but am inclined to merge this; do you think a patch is possible for Alpine support @diml?

@avsm

This comment has been minimized.

Show comment
Hide comment
@avsm

avsm May 19, 2017

Member

Also it would be useful to have ocaml-version < 4.05.0 constraints due to

# File "src/core_unix.mli", line 398, characters 0-858:
# Error: This variant or record definition does not match that of type
#          Unix.open_flag
#        The field O_KEEPEXEC is only present in the original definition.
Member

avsm commented May 19, 2017

Also it would be useful to have ocaml-version < 4.05.0 constraints due to

# File "src/core_unix.mli", line 398, characters 0-858:
# Error: This variant or record definition does not match that of type
#          Unix.open_flag
#        The field O_KEEPEXEC is only present in the original definition.

@avsm avsm merged commit 88a7c31 into ocaml:master May 19, 2017

6 of 11 checks passed

continuous-integration/travis-ci/pr The Travis CI build could not complete due to an error
Details
ci/datakit/4 V1.2 Common Distros Alpine 3.5 failed
Details
ci/datakit/4 V2.0 Common Distros Alpine 3.5, CentOS7 failed
Details
ci/datakit/5 V1.2 All Distros depfail
Details
ci/datakit/5 V2.0 All Distros depfail
Details
camelus All tests passed
ci/datakit/1 V1.2 Build V1.2 Build
Details
ci/datakit/1 V2.0 Build V2.0 Build
Details
ci/datakit/2 V2.0 Revdeps V2.0 Revdeps
Details
ci/datakit/3 V1.2 Compilers V1.2 Compilers
Details
ci/datakit/3 V2.0 Compilers V2.0 Compilers
Details
@diml

This comment has been minimized.

Show comment
Hide comment
@diml

diml May 19, 2017

Member

For core_extended yh we need to start using configurator to avoid future issues. I'll prepare a minor release for the core issue

Member

diml commented May 19, 2017

For core_extended yh we need to start using configurator to avoid future issues. I'll prepare a minor release for the core issue

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment